##############################################################################
#
# Copyright (c) 2003-2005 Oxfam. All rights reserved.
#
# This software is distributed under the terms of the GNU Lesser
# General Public License (LGPL) License. See LICENSE.txt for license
# text.
#
##############################################################################
from Products.PageTemplates.PageTemplate import PageTemplate
from Products.CMFCore.utils import getToolByName
from Products.GoogleSATool.config import TOOLNAME
from Products.PythonScripts.standard import Object

__all__ = ['PageTemplate', 'getToolByName', 'Object', 'T' ]

def T(template, **kw):
    """Create and render a page template."""
    pt = PageTemplate()
    pt.pt_edit(template, 'text/html')
    return pt.pt_render(extra_context=kw).strip('\n')
