## Script (Python) "googlesatool-customisation-policy"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=GoogleSATool Customisation Policy
##

# Make a copy of this script called
# 'googlesatool-customisation-policy' in any skin folder (in the
# default skin) on your site and edit it to set up your own preferred
# configuration.

from Products.CMFCore.utils import getToolByName
from Products.PythonScripts.standard import Object

tool = getToolByName(context, 'portal_googlesa')

# Set the following values for a minimum configuration
GOOGLEURL = 'http://googlesa/search'
CLIENT = 'SET THIS'
SITE = 'SET THIS'
COLLECTIONREGEX = "" # e.g. "siteA|siteB"

fields = [
    Object(name='client', default='string:'+CLIENT),
    Object(name='site', default='request/site|string:'+SITE),
    
    # Add any other fields you need which aren't in the default
    # definition here...
    
    # e.g. this will enable icons for any Plone pages in the search
    # results
    # Object(name='getfields', default="python:['DC.type', request.get('getfields','')]", required=False),
]

searches = [
    Object(title="SiteA", query="site="),
    Object(title="SiteB", query="site=siteB"),
]

print "configuring GoogleSATool"
tool.manage_setGooglePrefs(
    googleURL=GOOGLEURL,
    fields=fields,
    collectionRegex=COLLECTIONREGEX,
    searches=searches,
    )

return printed
